End specific sku-list - Fabric
End specific sku-list
cURL
curl --request POST \
--url https://live.copilot.fabric.inc/api-offers/sku-list/{skuListId}/end-now \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://live.copilot.fabric.inc/api-offers/sku-list/{skuListId}/end-now"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'POST',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://live.copilot.fabric.inc/api-offers/sku-list/{skuListId}/end-now', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Status Codes
- 200: Success
- 400: Bad Request
- 500: Internal Server Error
Example JSON Responses
Successful Response
{
"_id": "614b58924e92f6861ac9d43b",
"title": "GlobalExc_1",
"listType": "GLOBAL_EXCLUSION",
"applicableOn": ["PRODUCT_PRICE"],
"targetProducts": [{
"kind": "SKU",
"value": [1000000123]
}],
"startDate": "2021-05-04T09:23:51.459Z",
"endDate": "2021-05-04T09:23:51.459Z",
"deleted": true,
"createdAt": "2020-12-14T12:15:43.646Z",
"updatedAt": "2021-12-14T12:15:43.646Z"
}
Bad Request Response
{
"code": "BAD_REQUEST",
"message": "Bad Request"
}
Internal Server Error Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error."
}
Authorizations
Authorization
- Type:
string - Requirement: required
- Description: Bearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Headers
x-site-context
- Type:
string - Requirement: required
- Description: The
x-site-contextheader is a JSON object that contains information about the source you wish to pull from. The mandatoryaccountis the 24 character identifier found in Copilot. Thechannel,stage, anddateattributes can be used to further narrow the scope of your data source.
Example:
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
Path Parameters
skuListId
- Type:
number - Requirement: required
- Description: ID of the list to end.
Response
- 200: application/json
- OK
- _id: string - A 24-character system-generated ID of the record.
- title: string - SkuList name/title.
- listType: enum
- Type of skulist, Available options: GLOBAL_EXCLUSION. - applicableOn: enum
[] - Applicable scope of skulist, Available options: PRODUCT_PRICE,SHIPPING_PRICE. - targetProducts: object[] - Showchild attributes.
- startDate: string
- Start date of the sku-list. - endDate: string
- End date of sku-list. - deleted: boolean - true: sku-list is deleted, false: sku-list is not deleted.
- createdAt: string
- Creation date of the record. - updatedAt: string
- Last updated date of the record.